TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
TIBCO.EMS.FederatedEMSDTCConnectionFactory Class Reference

The FederatedEMSDTCConnectionFactory class represents the connection factory entry in the naming server. A FederatedEMSDTCConnectionFactory object is the query result of a connection factory name lookup, the return value of the `NameSearcher.Lookup` method. More...

Inheritance diagram for TIBCO.EMS.FederatedEMSDTCConnectionFactory:

## Properties
string | Name`[get]`
| Gets the name property of the object. The name string uniquely identfies the connection factory and can be used as the entry name of a DirectoryEntry in ASDI. More...

## Additional Inherited Members
Public Member Functions inherited from TIBCO.EMS.EMSDTCConnectionFactory
EMSDTCConnection | CreateEMSDTCConnection ()
| Create a EMSDTCconnection More...
EMSDTCConnection | CreateEMSDTCConnection (String userName, String password)
| Create a EMSDTCConnection More...
| EMSDTCConnectionFactory ()
| Construct an empty EMSDTCConnectionFactory More...
| EMSDTCConnectionFactory (string serverUrl)
| Construct a EMSDTCConnectionFactory given server url More...
| EMSDTCConnectionFactory (string serverUrl, string clientId)
| Construct a EMSDTCConnectionFactory given the server url, and client id More...
| EMSDTCConnectionFactory (string serverUrl, string clientId, Hashtable properties)
| Construct a EMSDTCConnectionFactory given server url, client id and properties More...
override Object | Clone ()
| Overrides the cloning process More...

## Detailed Description

The FederatedEMSDTCConnectionFactory class represents the connection factory entry in the naming server. A FederatedEMSDTCConnectionFactory object is the query result of a connection factory name lookup, the return value of the `NameSearcher.Lookup` method.

A FederatedEMSDTCConnectionFactory object has a `Name` property that uniquely identifies the entry in the naming server. If we want to store the reference of query result into a 3rd-party directory server, this property can be used as the entry name of a System.DirectoryServices.DirectoryEntry in ASDI.

## Property Documentation

string TIBCO.EMS.FederatedEMSDTCConnectionFactory.Name
| get

Gets the name property of the object. The name string uniquely identfies the connection factory and can be used as the entry name of a DirectoryEntry in ASDI.